Package org.apache.tiles.request.collection

# Class HeaderValuesMap

java.lang.Object
org.apache.tiles.request.collection.HeaderValuesMap

All Implemented Interfaces:
  `Map<String,String[]>`

public class HeaderValuesMap extends Object implements Map<String,String[]>
Exposes an `EnumeratedValuesExtractor` object as a read-only map.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K extends Object,V extends Object>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HeaderValuesMap(EnumeratedValuesExtractor request)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `boolean`
  `containsKey(Object key)`
  `boolean`
  `containsValue(Object value)`
  `Set<Map.Entry<String,String[]>>`
  `entrySet()`
  `boolean`
  `equals(Object obj)`
  `String[]`
  `get(Object key)`
  `int`
  `hashCode()`
  `boolean`
  `isEmpty()`
  `Set<String>`
  `keySet()`
  `String[]`
  `put(String key, String[] value)`
  `void`
  `putAll(Map<? extends String,? extends String[]> map)`
  `String[]`
  `remove(Object key)`
  `int`
  `size()`
  `Collection<String[]>`
  `values()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- ## Constructor Details

  - ### HeaderValuesMap

    public HeaderValuesMap(EnumeratedValuesExtractor request)
    Constructor.
    Parameters:
      `request` - The request object to use.

- ## Method Details

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `Map<String,String[]>`

  - ### containsKey

    public boolean containsKey(Object key)
    Specified by:
      `containsKey` in interface `Map<String,String[]>`

  - ### containsValue

    public boolean containsValue(Object value)
    Specified by:
      `containsValue` in interface `Map<String,String[]>`

  - ### entrySet

    public Set<Map.Entry<String,String[]>> entrySet()
    Specified by:
      `entrySet` in interface `Map<String,String[]>`

  - ### equals

    public boolean equals(Object obj)
    Specified by:
      `equals` in interface `Map<String,String[]>`
    Overrides:
      `equals` in class `Object`

  - ### get

    public String[] get(Object key)
    Specified by:
      `get` in interface `Map<String,String[]>`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `Map<String,String[]>`
    Overrides:
      `hashCode` in class `Object`

  - ### isEmpty

    public boolean isEmpty()
    Specified by:
      `isEmpty` in interface `Map<String,String[]>`

  - ### keySet

    public Set<String> keySet()
    Specified by:
      `keySet` in interface `Map<String,String[]>`

  - ### put

    public String[] put(String key, String[] value)
    Specified by:
      `put` in interface `Map<String,String[]>`

  - ### putAll

    public void putAll(Map<? extends String,? extends String[]> map)
    Specified by:
      `putAll` in interface `Map<String,String[]>`

  - ### remove

    public String[] remove(Object key)
    Specified by:
      `remove` in interface `Map<String,String[]>`

  - ### size

    public int size()
    Specified by:
      `size` in interface `Map<String,String[]>`

  - ### values

    public Collection<String[]> values()
    Specified by:
      `values` in interface `Map<String,String[]>`